WD MyCloud Gen2 - Enable apps install tab + Apps!

hey man, not sure if it is just me. when i try to load the latest bin file, it shows up as “Deleted module successfully”.

Tried with a few of the older version, and same thing.
I’m on a gen2, and I’ve got transmission installed.

User had the same problem and the solution is 30+ post higher or you can use search :slight_smile:
Good luck! :slight_smile:

Hi,
I´m new here.
I´m not able to install wd_crack on my Ultra ex2 - Firmware 2.31.204
How is it possiple, to do so?

Thank you very much for your hints!

Why do you want to install wd_crack on an EX2 Ultra? Generally the reason for using wd_crack is to enable the ability to add third party apps to the single bay/single drive My Cloud unit that does not support third party apps feature. Most if not all multi bay My Cloud models DO support third party apps so there typically is no need to use the wd_crack hack.

Differences Between My Cloud Products
https://support-en.wd.com/app/answers/detail/a_id/19649

My Cloud 3rd Party Apps Matrix
https://support-en.wd.com/app/answers/detail/a_id/14709

Dear Bennor,
that was excatly the infromation, I needed!
Thank you very much!
Plex is allready perfectly running.

I want to work with calibre, to manage my ebooks.
Is this possible?

Thanks a lot

The My Cloud EX2 Ultra is different than the single bay/single drive My Cloud device, which is the general subject of this subforum. For specific questions about the EX2 Ultra, see the dedicated subforum for the EX2 series of devices. One can use the forum search feature (magnifying glass icon upper right) to search through that subforum.

https://community.wd.com/c/network-attached-storage/wd-my-cloud-ex2/109

Generally COPS (https://blog.slucas.fr/projects/calibre-opds-php-server/) is what one would use to manage ebooks on a Linux OS device. However because of the custom nature of the Linux firmware on these My Cloud devices running non WD supported 3rd party apps can be difficult/tricky or impossible.

There is some discussion about installing COPS on the PR2100 series of My Cloud devices that may be of interest. Maybe one can adapt that method to work on an EX2 Ultra.

I update my script for auto-repack apps for WD MyCloud Gen2: Repacker.zip
Works on almost any linux (Tested on Debian x86(32bit) and x64), but need libxml2 to be installed.

Ps: Latest plex 1.19 for test

I have the same issue as N3R0: WD My Cloud EX2 Ultra with the latest 2.31.204.
I want to run debian app and use some newer versions of the linux apps.
Example: if I simply ssh into the NS, I see rsync 3.0 version and I need 3.1.3 in order to use --info and some other cool options. So, I done the steps described here: https://fox-exe.ru/WDMyCloud/WDMyCloud-Gen2/Apps/ but I cannot intall WD.Crack app.
Error message:
Error
Failed to install app.

Tried Firefox & Chrome, tried also WDMyCloud_WDCrack_1.2.bin - no luck.
Disabled successfully APP_INSTALL_FUNCTION=1; APPS_EULA=1; check_app_eula(); via javascript - I do not get the popup window anymore.

Any ideas? Thanks!!

I was able to find MyCloudEX2Ultra_ChrootedDebian_10.0-1.bin and install it via standard app installation. After that I connected to it and was able to install and use needed rsync and rclone versions.

Is there a WebDAV App for gen2
Similar to WebDAV mod for gen1?

The only think I want is be able to stream my videos over the internet.
With the default My Cloud Remote it isn’t possible.

Rather than messing around with modding the My Cloud to try and maybe run WebDAV, why not setup a VPN server on the same local network as the My Cloud. Once properly configured and setup one bypasses the MyCloud.com web portal and has direct, secure, access to all devices on that remote network including the My Cloud. One would see the My Cloud just as if they were on that same local network as the My Cloud.

Some consumer level routers (ASUS for example) include one or more VPN server applications within their administration interface that can be enabled. Typically OpenVPN is one of those included VPN servers.

Already got one up and running.
But thanks for your input.
With a VPN you have to install a client on every device to connect.

WebDAV would be nice if i only give access to one folder.

Also one can running WebDAV behind a reverse Proxy and use ssl for security

I have noticed that you have a crack v1.3 on your website? Any info on the difference between 1.2 and 1.3? I have 1.3 installed and it’s working ok, but I only have plex.

Creating new app…

…/…/mksapkg-32b: error while loading shared libraries: libxml2.so.2: cannot open shared object file: No such file or directory
ls: cannot access ‘…/WD*.bin*’: No such file or directory
sed: -e expression #1, char 61: Invalid range end
mv: missing destination file operand after ‘…/’
Try ‘mv --help’ for more information.

Done!

:~/repackwd$ sudo apt-get install libxml2
Reading package lists… Done
Building dependency tree
Reading state information… Done
libxml2 is already the newest version (2.9.4+dfsg1-6.1ubuntu1.3).
0 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.

1.3 packed with new SDK (mksapkg tool) for compatability with new firmware and have different method of “Enable all” mechanics.

Will this work with My Cloud Mirror (Gen 2)?

I’m using 2.31.204 firmware and Brave browser. I cannot figure out to follow the instruction.

  1. once I’ve log-in to the web interface, I tried to enter javascript:APP_INSTALL_FUNCTION=1; APPS_EULA=1; check_app_eula(); command in the Brave’s URL field, but it only brings me a result of web search trough Duck Duck Go.
  2. I also have tried to run the APP_INSTALL_FUNCTION=1; APPS_EULA=1; check_app_eula(); by right click the web interface, choose “Inspect”, and run the command in the Console tab. No GUI response, it only shows “Uncaught ReferenceError: check_app_eula is not define at :1:38”.
  3. I don’t understand Zeikos’ solution for firmware 2.30.181: $("#AppsDiag_Manually_Install").remove(); var input = '<input type="file" name="f_apps_file" class="file_input_hidden" id="f_apps_file" onchange="apps_manually_install();">Install an app manually</div>';
    and
    $("#manually_install_td").append(input);
    Where should I run those commands?

Could anybody help me, please?

Hello , thanks for your crack.
how can update php version ? for wordpress i need that !

Same, type it in browser console.

Hi everyone,

I’ve tried to install
[WDMyCloud_GoodSync_10.10.8.5.bin](http://anionix.ddns.net/WDMyCloud/WDMyCloud-Gen2/Apps/WDMyCloud_GoodSync_10.10.8.5.bin)

from
http://anionix.ddns.net/WDMyCloud/WDMyCloud-Gen2/Apps/

with the help of

javascript:APP_INSTALL_FUNCTION=1; APPS_EULA=1; check_app_eula();

and all get is
Screen Shot 2020-09-08 at 10.00.54 am

does anyone (specially @Fox_exe) know whats the issue here?
Thank you in advance.

Best
Hippy